%define module ExtUtils-Depends
%define name perl-%module
%define version 0.202
%define release 1mdk

Summary: Perl module for further extending extensions
Name:    %{name}
Version: %{version}
Release: %{release}
License: GPL or Artistic
Group:   Development/Perl
Source:  %module-%version.tar.bz2
URL: http://gtk2-perl.sf.net/
BuildRequires: perl-devel
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module tries to make it easy to build Perl extensions that use
functions and typemaps provided by other perl extensions. This means
that a perl extension is treated like a shared library that provides
also a C and an XS interface besides the perl one.

%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -fr
%{__perl} Makefile.PL INSTALLDIRS=vendor

%build
make
%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc Changes
%{_mandir}/*/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.202-1mdk
- new release

* Tue Mar 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.104-2mdk
- rebuild
- Own dir

* Fri Nov 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.104-1mdk
- new release

* Mon Aug 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.103-1mdk
- new release

* Mon Aug  4 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.102-2mdk
- perl_vendorlib

* Fri Jul 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.102-1mdk
- new release

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.07.04.1-3mdk
- provides some doc
- generate build system in %%prep

* Fri Jul 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.07.04.1-2mdk
- fix buildrequires
- fix description
- fix group
- fix summary

* Fri Jul 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.07.04.1-1mdk
- initial release
